Package be.fgov.ehealth.etkdepot._1_0.protocol

# Class IdentifierType

java.lang.Object
be.fgov.ehealth.etkdepot._1_0.protocol.IdentifierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class IdentifierType extends Object implements Serializable

Java class for IdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ApplicationID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationID()`
  Gets the value of the applicationID property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setApplicationID(String value)`
  Sets the value of the applicationID property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentifierType

    public IdentifierType()

- ## Method Details

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getApplicationID

    public String getApplicationID()
    Gets the value of the applicationID property.
    Returns:
      possible object is `String`

  - ### setApplicationID

    public void setApplicationID(String value)
    Sets the value of the applicationID property.
    Parameters:
      `value` - allowed object is `String`